## postgresql 7.5.21

=== debian/changelog ===
postgresql (7.5.21) unstable; urgency=low

  * Add debian/postgresql-client.postrm: Remove
    /etc/postgresql/postgresql.env.dpkg-old on purge. Closes: #380168
  * Add debian/postgresql.postrm: Remove various *.dpkg-old files which were
    created during the transition in the postinst. Closes: #380167
  * debian/postgresql.post{inst,rm}: Also clean up old logcheck conffiles.
    (part of #380167)
  * debian/control: Bump Standards-Version (no changes needed).
  * debian/copyright: Update FSF address.

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Jul 2006 13:18:19 +0200

postgresql (7.5.20) unstable; urgency=low

  * debian/control: Conflict to postgis << 1.1.2 to ensure that the postgis
    files are in their proper location. It's not an issue for sarge upgrades
    anyway since postgis is not yet in sarge (and the current postgis does not
    supoprt 7.4). Closes: #321850
  * Fix bashisms.

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Jun 2006 00:06:04 +0200

postgresql (7.5.19) unstable; urgency=medium

  * debian/postgresql.preinst: Check if /etc/init.d/postgresql exists before
    attempting to call it. Closes: #363393

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Apr 2006 21:09:16 +0200

postgresql (7.5.18) unstable; urgency=low

  * Entirely remove the transition of postgres' home directory from
    /var/lib/postgres to /var/lib/postgresql. It broke scripts which
    hardcoded the old location of postgres' home directory, and is prone to
    other subtle breakage.

 -- Martin Pitt <mpitt@debian.org>  Sat,  1 Apr 2006 22:38:20 +0200

postgresql (7.5.17) unstable; urgency=high

  * Urgency high, since this only fixes two important and easy bugs.
  * Replace 'rmdir -p' with three consecutive rmdir's and protect them with
    || true. -p --ignore-fail-on-non-empty does not do what we want.
    Closes: #359952
  * chown /var/lib/postgresql to user postgres and ensure proper permissions.

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Mar 2006 21:54:00 +0200

=== debian/control ===
Source: postgresql
Section: misc
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: debhelper (>= 4.1.29)

Package: postgresql
Architecture: all
Section: misc
Depends: postgresql-7.4, postgresql-client (>= 7.5), postgresql-common (>= 40)
Recommends: postgresql-plpython-7.4, postgresql-plperl-7.4, postgresql-pltcl-7.4
Conflicts: postgresql-contrib (<< 7.5), postgis (<< 1.1.2)
Description: object-relational SQL database management system (transitional)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. On installation it will integrate the existing
 database into this new structure. You can safely remove this package
 afterwards.
 . 
 The various procedural languages (PL/Python, PL/Tcl, PL/Perl) have
 now been split out to separate packages. If you use any of these
 languages, you need to install these packages as well.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Section: misc
Depends: postgresql-client-7.4
Conflicts: postgresql-contrib (<< 7.5), postgresql (<< 7.5)
Description: front-end programs for PostgreSQL (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 If you install PostgreSQL on a standalone machine, you need this
 package, too.  On a network, you can install this package on many
 client machines, while the postgresql-server package may be installed
 on only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc
Architecture: all
Section: doc
Depends: postgresql-doc-7.4
Suggests: doc-linux-html,pgdocs
Description: documentation for the PostgreSQL RDBMS (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 This package contains all README files, user manual, and examples for
 all PostgreSQL packages.  The manual is in HTML format.  See the
 packages pgdocs-pdf and pgdocs-pdf-a4 for other printable formats.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib
Architecture: all
Section: misc
Depends: postgresql-contrib-7.4, postgresql (>= 7.5)
Description: additional facilities for PostgreSQL (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 The PostgreSQL contrib package provides several additional features for
 the PostgreSQL database. contrib often serves as a testbed for features
 before they are adopted into PostgreSQL proper.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-dev
Architecture: all
Section: libdevel
Depends: libpq-dev
Description: development files for libpq (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 The former postgresql-dev package has been split up into libpq-dev
 for client-side development and postgresql-server-dev-<version>
 packages for server-side development. However, this package does not
 depend on postgresql-server-dev-<version>.

## postgresql 7.5.22

=== debian/changelog ===
postgresql (7.5.22) unstable; urgency=low

  * debian/control: Make postgresql-contrib package description more
    consistent. Closes: #383954

 -- Martin Pitt <mpitt@debian.org>  Tue,  5 Sep 2006 11:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -79,9 +79,9 @@
  postgresql-<version>. You can safely remove this package after a
  successful installation.
  .
- The PostgreSQL contrib package provides several additional features for
- the PostgreSQL database. contrib often serves as a testbed for features
- before they are adopted into PostgreSQL proper.
+ The postgresql-contrib package provides several additional features
+ for the PostgreSQL database. contrib often serves as a testbed for
+ features before they are adopted into PostgreSQL proper.
  .
  PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: 
	dh_testdir

clean: 
	dh_testdir
	dh_testroot
	dh_clean

binary-arch:

binary-indep: 
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary

## postgresql autodoc-1.12

=== Makefile ===
# $Header: /cvsroot/pgsqlautodoc/autodoc/Makefile,v 1.9 2003/08/02 00:49:51 rtaylor02 Exp $

TEMPLATES = dia.tmpl dot.tmpl html.tmpl xml.tmpl
BINARY = postgresql_autodoc
CONFIGFILE = config.mk

RELEASE_FILES = Makefile config.mk.in configure \
				configure.ac $(TEMPLATES) install-sh \
				postgresql_autodoc.pl

cur-dir   := $(shell basename ${PWD})
REAL_RELEASE_FILES = $(addprefix $(cur-dir)/,$(RELEASE_FILES))

# Global dependencies
ALWAYS_DEPEND = Makefile configure $(CONFIGFILE)


####
# Test to see if $(CONFIGFILE) has been generated.  If so, include it. Otherwise we assume
# it will be created for us.
has_configmk := $(wildcard $(CONFIGFILE))

ifeq ($(has_configmk),$(CONFIGFILE))
include $(CONFIGFILE)
endif

####
# ALL
.PHONY: all
all: $(ALWAYS_DEPEND) $(BINARY)

####
# Replace the /usr/bin/env perl with the supplied path
$(BINARY): postgresql_autodoc.pl
	$(SED) -e "s,/usr/bin/env perl,$(PERL)," \
			-e "s,@@TEMPLATE-DIR@@,$(datadir)," \
		 postgresql_autodoc.pl > $(BINARY)

####
# INSTALL Target
.PHONY: install
install: all $(ALWAYS_DEPEND)
	$(INSTALL_SCRIPT) -d $(bindir) $(datadir)
	$(INSTALL_SCRIPT) -m 755 $(BINARY) $(bindir)
	$(INSTALL_SCRIPT) -m 644 $(TEMPLATES) $(datadir)

####
# CLEAN / DISTRIBUTION-CLEAN / MAINTAINER-CLEAN Targets
.PHONY: clean
clean: $(ALWAYS_DEPEND)
	$(RM) $(BINARY)

.PHONY: distribution-clean distclean
distribution-clean distclean: clean
	$(RM) $(CONFIGFILE) config.log config.status
	$(RM) -r autom4te.cache
	$(RM) $(patsubst %.tmpl,*.%,$(wildcard *.tmpl))

.PHONY: maintainer-clean
maintainer-clean: distribution-clean
	$(RM) configure

####
# Build a release
#
#	Clean
#	Ensure configure is up to date
#	Commit any pending elements
#	Tar up the results
.PHONY: release
release: distribution-clean configure $(RELEASE_FILES)
	@if [ -z ${VERSION} ] ; then \
		echo "-------------------------------------------"; \
		echo "VERSION needs to be specified for a release"; \
		echo "-------------------------------------------"; \
		false; \
	fi
	cvs2cl
	-cvs commit
	cd ../ && tar -czvf postgresql_autodoc-${VERSION}.tar.gz $(REAL_RELEASE_FILES)

####
# Build and Run configure files when configure or a template is updated.
configure: configure.ac
	autoconf

# Fix my makefile, then execute myself
$(CONFIGFILE) : config.mk.in configure
	./configure
	$(MAKE) $(MAKEFLAGS)

## postgresql autodoc-1.41

=== Makefile ===
# $Header: /cvsroot/autodoc/autodoc/Makefile,v 1.9 2009/08/11 18:50:02 rbt Exp $

# install configuration
DESTDIR =
PREFIX = /usr/local
BINDIR = ${PREFIX}/bin
DATADIR = ${PREFIX}/share/postgresql_autodoc
MANDIR = ${PREFIX}/share/man/man1


# build configuration
TEMPLATES = dia.tmpl dot.tmpl html.tmpl neato.tmpl xml.tmpl zigzag.dia.tmpl
BINARY = postgresql_autodoc
SOURCE = ${BINARY}.pl
MANPAGE = ${BINARY}.1
MANPAGE_SOURCE = ${MANPAGE}.in
RELEASE_FILES = Makefile ChangeLog ${SOURCE} ${TEMPLATES} ${MANPAGE}
RELEASE_DIR=postgresql_autodoc

# system tools
INSTALL_SCRIPT = $$(which install) -c
PERL = $$(which perl)
SED = $$(which sed)


all: ${BINARY} ${MANPAGE}

${MANPAGE}: ${MANPAGE_SOURCE}
	${SED} -e "s,@@TEMPLATE-DIR@@,${DATADIR}," \
		${MANPAGE_SOURCE} > ${MANPAGE}


${BINARY}: ${SOURCE}
	${SED} -e "s,/usr/bin/env perl,${PERL}," \
			-e "s,@@TEMPLATE-DIR@@,${DATADIR}," \
		 ${SOURCE} > ${BINARY}
	-chmod +x ${BINARY}

install: all
	${INSTALL_SCRIPT} -d ${DESTDIR}${BINDIR}
	${INSTALL_SCRIPT} -d ${DESTDIR}${DATADIR}
	${INSTALL_SCRIPT} -d ${DESTDIR}${MANDIR}
	${INSTALL_SCRIPT} -m 755 ${BINARY} ${DESTDIR}${BINDIR}
	for entry in ${TEMPLATES} ; \
		do ${INSTALL_SCRIPT} -m 644 $${entry} ${DESTDIR}${DATADIR} ; \
	done
	${INSTALL_SCRIPT} ${MANPAGE} ${DESTDIR}${MANDIR}

uninstall:
	-rm ${DESTDIR}${BINDIR}/${BINARY}
	-for entry in ${TEMPLATES} ; \
		do rm ${DESTDIR}${DATADIR}/$${entry} ; \
	done
	-rm ${DESTDIR}${MANDIR}/${MANPAGE}
	-rmdir ${DESTDIR}${MANDIR}
	-rmdir ${DESTDIR}${DATADIR}
	-rmdir ${DESTDIR}${BINDIR}

clean:
	rm -f ${BINARY}

release: clean ${RELEASE_FILES}
	@if [ -z ${VERSION} ] ; then \
		echo "-------------------------------------------"; \
		echo "VERSION needs to be specified for a release"; \
		echo "-------------------------------------------"; \
		false; \
	fi
	cvs2cl
	-cvs commit
	mkdir ${RELEASE_DIR} && cp ${RELEASE_FILES} ${RELEASE_DIR} && tar -czvf ${RELEASE_DIR}-${VERSION}.tar.gz ${RELEASE_DIR}
	rm -r ${RELEASE_DIR}

.PHONY: install uninstall clean release

## postgresql kernel-0.0.2

=== requirements.txt ===
wheel==0.36.2
setuptools==47.1.0
metakernel==0.24.0
psycopg2-binary==2.9.3
tabulate==0.8.9
jupyter_client==7.1.1
ipykernel==6.7.0
